Bug 143455 - READ Disc INFORMATION failed
READ Disc INFORMATION failed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-20 21:13 EST by Bill Peck
Modified: 2015-01-04 17:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-28 19:25:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2004-12-20 21:13:39 EST
Description of problem:

growisofs -dvd-compat -Z /dev/hdd -dvd-video .
:-[ READ DISC INFORMATION failed with SK=4h/ASC=08h/ACQ=03h]:
Input/output error

Version-Release number of selected component (if applicable):
dvd+rw-tools-5.21.4.10.8-2
2.6.9-1.681_FC3

How reproducible:
Everytime

Steps to Reproduce:
1. Insert a blank DVD-R media
2. Attempt to use the above command.
3. 
  
Actual results:
Fails

Expected results:
Should at least attempt to burn the disc

Additional info:
This works with the EXACT same hardware but loaded with FC2 instead.
Comment 1 Harald Hoyer 2004-12-21 01:11:19 EST
Could you please try it with the FC3 growisofs and the FC2 kernel?
Or with the FC2 growisofs and the FC3 kernel?
Comment 2 Harald Hoyer 2005-09-16 10:01:48 EDT
CANTFIX without more information, closed due to inactivity.
Comment 3 Jeff Stampes 2005-09-18 01:43:39 EDT
I have this exact problem with a Sony DRU-7200 burner, running FC3.  I had this
problem with the stock kernel, and it remains with kernel 2.6.13.1
Comment 4 Jeff Stampes 2005-09-18 10:30:18 EDT
Eeps...sorry, late at night...I mean a Sony DRU-720A
Comment 5 Jeff Stampes 2006-03-22 15:01:32 EST
Please reopen.  This still occurs to me, making it impossile to burn DVDs

stampes@flux[167] video > growisofs --version
* growisofs by <appro@fy.chalmers.se>, version 5.21,
  front-ending to mkisofs: mkisofs 2.01 (i686-pc-linux-gnu)

I'll be happy to provide more information if needed.  Still occured all the way
through fc4.  This DVD Burner makes a nice CD burner, but I'd like to burn DVDs
also :^}
Comment 6 Jeff Stampes 2006-03-22 15:05:05 EST
Never mind...

I feel stupid, but apparently all this time I've been trying to write with DMA
enabled.  I don't understand the deep voodoo, but hdparm -d 0 /dev/dvd clears it
up and I 'm happily writing.

Too bad it took so long to get the brainstorm to check that!
Comment 7 Harald Hoyer 2006-03-23 05:05:08 EST
well... DMA shouldn't be causing any problems...
Comment 8 Jeff Stampes 2006-03-23 10:43:01 EST
I just moved the DVD Burner from being connected to my motherboard to a PCI IDE
card using the Promise PDC-20269 chipset.  I can now burn *with* DMA Enabled,
which is a huge improvement in both speed and system response during burning.

The motherboard is a Tyan S2466 Tiger MPX, which has an AMD 7441 integrated IDE
chipset.  I'm assuming right now that there is some problem supporting this
chipset.  IAC, I'm finally up and burning!
Comment 9 Dave Jones 2006-03-28 19:25:25 EST
reopen/reclass as fc5 if still reproducable with latest releases.
Comment 10 Jeff Stampes 2006-04-04 16:54:34 EDT
Upgraded to FC5.  Moved the burner off the Promise IDE controller and back to
the motherboard.  Without DMA enabled, it burns successfully.  With DMA enabled,
I get the following when I try to burn with K3B:

System
-----------------------
K3b Version: 0.12.14

KDE Version: 3.5.1-2.3 Red Hat
QT Version:  3.3.5
Kernel:      2.6.16-1.2080_FC5smp
Devices
-----------------------
SONY DVD RW DRU-720A JY06 (/dev/hdd, ) at  [CD-R; CD-RW; CD-ROM; DVD-ROM; DVD-R;
DVD-RW; DVD+R; DVD+RW; DVD+R DL] [DVD-ROM; DVD-R Sequential; DVD-RW Restricted
Overwrite; DVD-RW Sequential; DVD+RW; DVD+R; DVD+R Double Layer; CD-ROM; CD-R;
CD-RW] [SAO; TAO; RAW; SAO/R96P; SAO/R96R; RAW/R16; RAW/R96P; RAW/R96R]

TDK CDRW161040X 5.30 (/dev/hdc, ) at  [CD-R; CD-RW; CD-ROM] [Error] [SAO; TAO;
RAW; RAW/R96R]
Used versions
-----------------------
growisofs: 5.21

growisofs
-----------------------
:-[ READ DISC INFORMATION failed with SK=4h/ASC=08h/ACQ=03h]: Input/output error

growisofs command:
-----------------------
/usr/bin/growisofs -Z /dev/hdd=/dev/fd/0 -use-the-force-luke=notray
-use-the-force-luke=tty -use-the-force-luke=tracksize:4055010 -dvd-compat
-speed=2.4 


I'll move it off the integrated IDE and back to the Promise controller to test
if I can burn both with and without DMA enabled.
Comment 11 Jeff Stampes 2006-04-04 22:53:03 EDT
Moved back to the Promise PDC-20269 based Maxtor IDE card, and all is well.

So in summary it's only when trying to burn with DMA enabled when connected to
the AMD 7441 integrated IDE slots on my Tyan S2466 Tiger MPX motherboard that I
have problems.  Some of this may be a red herring, but it's repeatable and
consistent.
Comment 12 H.Breimer 2006-04-20 11:07:20 EDT
Trying to burn a DVD-iso to disk using K3B flopped.
Errors similar to the above.

""
Using growisofs 6.1- Copyright....
Starting writing...
Writing speed: 11356 KB/s (8.20x)
x :-( write failed: Input/output error
x Fatal error during recording inpuy/output error
""

the error log:

""
System
-----------------------
K3b Version: 0.12.14

KDE Version: 3.5.2-0.1.fc5 Red Hat
QT Version:  3.3.5
Kernel:      2.6.16-1.2080_FC5
Devices
-----------------------
PHILIPS DVDR885P P1.6 (/dev/hdd, ) at  [CD-R; CD-RW; CD-ROM; DVD-ROM; DVD+R;
DVD+RW; DVD+R DL] [DVD-ROM; DVD+RW; DVD+R; DVD+R Double Layer; CD-ROM; CD-R;
CD-RW] [SAO; TAO; RAW; SAO/R96R; RAW/R16; RAW/R96R]

_NEC DV-5700B 1.90 (/dev/hdc, ) at  [CD-ROM; DVD-ROM] [DVD-ROM; CD-ROM] [None]
Used versions
-----------------------
growisofs: 6.1

growisofs
-----------------------
Executing 'builtin_dd if=/stuff2/iso/anger_management.iso of=/dev/hdd obs=32k
seek=0'
/dev/hdd: "Current Write Speed" is 8.2x1385KBps.
         0/4649517056 ( 0.0%) @0x, remaining ??:?? RBU 100.0%
:-[ WRITE@LBA=0h failed with SK=3h/ASC=73h/ACQ=02h]: Input/output error
:-( write failed: Input/output error

growisofs command:
-----------------------
/usr/bin/growisofs -Z /dev/hdd=/stuff2/iso/anger_management.iso
-use-the-force-luke=notray -use-the-force-luke=tty -dvd-compat -speed=8
-use-the-force-luke=bufsize:32m 

""

Disabling dma did not help.

My system is FC5 fully updated, pentium 4
Comment 13 H.Breimer 2006-04-20 11:09:44 EDT
Sorry forgot to sign my message
Henk Breimer

Note You need to log in before you can comment on or make changes to this bug.